from django.contrib import admin

from coin.resources.models import IPPool, IPSubnet, IPAllocationLog

admin.site.register(IPPool,)

# TODO: don't display "Delegate reverse DNS" checkbox and Nameservers when
# creating/editing the object in the admin (since it is a purely
# user-specific parameter)
admin.site.register(IPSubnet,)


class IPAllocationAdmin(admin.ModelAdmin):
    list_display = ('subnet', 'user', 'subscription', 'offer', 'start_date',
                    'stop_date')
    list_filter = ('offer',)
    search_fields = ('subnet', 'offer__name', 'offer__type',
                     'user__first_name', 'user__last_name', 'user__email')
    readonly_fields = ('subnet', 'user', 'subscription', 'offer', 'start_date',
                       'stop_date')


admin.site.register(IPAllocationLog, IPAllocationAdmin)
